program NkMon;

uses Windows, NSys, NLib, NForm, MainForm, PluginAPI;

{$R *.RES}

var
  Form: TNkMonMainForm;

begin
  AppName := 'NkMon';
  ProfDir := GetEnv('NKTOOLSPROF', '');
  if ProfDir = '' then
    ProfDir := DirName(AbsPath(Argv[0]))
  else
    ProfDir := JoinPath(ProfDir, Lower(AppName));

  Form := TNkMonMainForm.Create(AppName, 0, 0, 64, 64);
  try
    SetMainForm(Form);
    PluginAPI.Form := Form;
    Form.LoadConfig;
    Form.Run;
    Form.Show;
    ExitCode := MessageLoop;
  finally
    Form.Free;
  end;
end.
